PhotoGPT Developers
API ReferenceGeneration

Get job status

GET
/jobs/{id}

Retrieves the status and result payload for a generation or training job owned by the authenticated API user.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Path Parameters

id*string

Job ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/jobs/string"
{  "result": {    "createdAt": "2026-01-01T00:00:00Z",    "jobId": "job_123",    "status": "success",    "videos": [      {        "id": "video_123",        "url": "https://example.com/video.m3u8"      }    ]  },  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}